CVE-2004-0376
CVSS5.0
发布时间 :2004-05-04 00:00:00
修订时间 :2008-09-10 15:26:02
NMCOS    

[原文]oftpd 0.3.6 and earlier allows remote attackers to cause a denial of service (crash) via a PORT command with a large value.


[CNNVD]OFTPD PORT命令畸形参数远程拒绝服务攻击漏洞(CNNVD-200405-026)

        
        oftpd是一款FTP服务程序。
        oftpd对PORT命令参数缺少正确处理,远程攻击者可以利用这个漏洞对FTP服务程序进行拒绝服务攻击。
        攻击者只要telnet oftpd服务程序监听的21端口,输入"port 300",然后回车,服务程序就会崩溃。
        

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-0376
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-0376
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200405-026
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/9980
(VENDOR_ADVISORY)  BID  9980
http://www.debian.org/security/2004/dsa-473
(VENDOR_ADVISORY)  DEBIAN  DSA-473
http://xforce.iss.net/xforce/xfdb/15622
(VENDOR_ADVISORY)  XF  oftpd-port-dos(15622)
http://www.time-travellers.org/oftpd/oftpd-dos.html
(UNKNOWN)  CONFIRM  http://www.time-travellers.org/oftpd/oftpd-dos.html
http://security.gentoo.org/glsa/glsa-200403-08.xml
(UNKNOWN)  GENTOO  GLSA-200403-08
http://secunia.com/advisories/11220
(UNKNOWN)  SECUNIA  11220

- 漏洞信息

OFTPD PORT命令畸形参数远程拒绝服务攻击漏洞
中危 其他
2004-05-04 00:00:00 2005-10-20 00:00:00
远程  
        
        oftpd是一款FTP服务程序。
        oftpd对PORT命令参数缺少正确处理,远程攻击者可以利用这个漏洞对FTP服务程序进行拒绝服务攻击。
        攻击者只要telnet oftpd服务程序监听的21端口,输入"port 300",然后回车,服务程序就会崩溃。
        

- 公告与补丁

        厂商补丁:
        Debian
        ------
        
        http://www.debian.org/security/2004/dsa-473

        oftpd
        -----
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        oftpd Upgrade oftpd-0.3.7.tar.gz
        
        http://www.time-travellers.org/oftpd/oftpd-0.3.7.tar.gz

- 漏洞信息

4581
oftpd PORT Command Remote DoS
Remote / Network Access Denial of Service
Loss of Availability
Exploit Public

- 漏洞描述

oftpd contains a flaw that may allow a remote denial of service. The issue is triggered when the server receives a port command with a number that is higher than 255, and will result in loss of availability for the service.

- 时间线

2004-03-25 2004-03-04
Unknow Unknow

- 解决方案

Upgrade to version 0.3.7 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

- 漏洞信息

OFTPD Port Argument Denial Of Service Vulnerability
Failure to Handle Exceptional Conditions 9980
Yes No
2004-03-26 12:00:00 2009-07-12 03:06:00
Discovery is credited to Philippe Oechslin <philippe.oechslin@epfl.ch>.

- 受影响的程序版本

oftpd oftpd 0.3.6
+ Debian Linux 3.0 sparc
+ Debian Linux 3.0 s/390
+ Debian Linux 3.0 ppc
+ Debian Linux 3.0 mipsel
+ Debian Linux 3.0 mips
+ Debian Linux 3.0 m68k
+ Debian Linux 3.0 ia-64
+ Debian Linux 3.0 ia-32
+ Debian Linux 3.0 hppa
+ Debian Linux 3.0 arm
+ Debian Linux 3.0 alpha
+ Debian Linux 3.0
oftpd oftpd 0.3.5
oftpd oftpd 0.3.4
oftpd oftpd 0.3.3
oftpd oftpd 0.3.2
oftpd oftpd 0.3.1
oftpd oftpd 0.3 .0
oftpd oftpd 0.3.7

- 不受影响的程序版本

oftpd oftpd 0.3.7

- 漏洞讨论

oftpd is prone to a denial of service vulnerability that may be exploited by remote, unauthenticated attackers. This issue is exposed when the server receives an FTP PORT command with a value greater than 255 as an argument.

- 漏洞利用

There is no exploit required.

- 解决方案

This issue has been addressed in oftpd 0.3.7.

Gentoo Linux has released advisory GLSA 200403-08 dealing with this issue. Please see the referenced advisory for more information.

Debian Linux has released advisory DSA 473-1 dealing with this issue.


oftpd oftpd 0.3 .0

oftpd oftpd 0.3.1

oftpd oftpd 0.3.2

oftpd oftpd 0.3.3

oftpd oftpd 0.3.4

oftpd oftpd 0.3.5

oftpd oftpd 0.3.6

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站